# proginoskes
Monitor your infastructure in real time

## install ##
To install `npm install idstream`

## configuration ##
Two sections; `global` & `hosts`. Anything in global may be overwritten by a
defined host.

_Example_
```javascript
var options = {
  global: {
    port: 22,
    username: 'root',
    privateKey: './path/to/global/privatekey',
    logs: [
      '/var/log/ufw.log'
    ],
    ignore: {
      destination: [
        'localhost',
        '127.0.0.1'
      ],
      source: [
        'localhost',
        '127.0.0.1'
      ],
      ports: [
        53
      ]
    }
  },
  hosts: [
    {
      server: 'server-1.example',
      privateKey: './path/to/server-1.example/privatekey',
      logs: [
        '/var/log/snort/snort.log'
      ]
    },
    {
      server: 'server-2.example',
      port: 2222,
      username: 'iamroot',
      privateKey: './path/to/server-2.example/privatekey',
    },
    {
      server: 'server-3.example',
      password: 'secret-sauce',
      logs: [
        '/var/log/iptables.log'
      ]
    }
  ]
};
```

## usage ##
Once you have a good configuration with at least one defined host to monitor
usage is easy.

_Example_
```javascript
var cherubum = require('proginoskes');

cherubum.proginoskes(options, function(err, data) {
  if (err) throw err;

  console.log(data);
});
```
